Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
How to authenticate your requests to the Matil API.
x-api-key
x-api-key: your-api-key
curl -X POST "https://api.matil.ai/v3/deployments/{deployment_id}" \ -H "x-api-key: your-api-key" \ -H "Content-Type: application/json" \ -d '{"documents": [{"type": "url", "url": "https://example.com/invoice.pdf"}]}'
import os import requests response = requests.post( f"https://api.matil.ai/v3/deployments/{deployment_id}", headers={ "x-api-key": os.environ["MATIL_API_KEY"], "Content-Type": "application/json" }, json={"documents": [{"type": "url", "url": "https://example.com/invoice.pdf"}]} )
const response = await fetch( `https://api.matil.ai/v3/deployments/${deploymentId}`, { method: "POST", headers: { "x-api-key": process.env.MATIL_API_KEY, "Content-Type": "application/json" }, body: JSON.stringify({ documents: [{ type: "url", url: "https://example.com/invoice.pdf" }] }) } );
Was this page helpful?